Freeciv-3.2: Data Fields - Variables

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all variables with links to the structures/unions they belong to:

### - e -

- e : gen234_state
- ebox : city_map_canvas
- ecause : actres
- echo : command
- eco_label : eco_report
- eco_widget : eco_report
- economic : player
- edit : effect_list_fill_data, fc_shortcut_popup, theme_icons
- edit_present_button : req_edit
- edit_range_button : req_edit
- edit_type_button : effect_edit, req_edit
- edit_value_enum_button : req_edit
- edit_value_enum_menu : req_edit
- edit_value_nbr_field : req_edit
- editbar_parent : tool_value_selector
- edited_cm_parm : cma_dialog
- edited_name : option_dialog_worklist
- editgui_notify_object_changed : gui_funcs
- editgui_notify_object_created : gui_funcs
- editgui_popdown_all : gui_funcs
- editgui_popup_properties : gui_funcs
- editgui_refresh : gui_funcs
- editgui_tileset_changed : gui_funcs
- editor : named_sprites, worklist_data
- effect_edits : ruledit_gui
- effect_present : els_data
- effect_type : packet_ruleset_effect
- effect_value : packet_ruleset_effect
- effects : disaster_type, effect_edit, packet_ruleset_disaster
- effects_button : tab_counter
- efmc : effect_edit, effect_list_fill_data
- elem : generate_packets.ArrayType
- elevation : map_landmass
- embarks : packet_ruleset_unit, unit_type
- embassy : packet_edit_player
- embedded_nations : civ_game
- embedded_nations_count : civ_game
- emerg_version : packet_client_info, packet_server_info
- enable_cursor_changes : client_options
- enabled : clause_info, packet_ruleset_clause
- enabled_action : packet_ruleset_action_enabler
- enabler_list : tab_enabler
- enablers : ruledit_gui
- end : advance_req_iter, advance_root_req_iter, genhash_iter, government_iter, ITree, nation_group_iter, nation_iter, nation_set_iter, UP_DOWN, up_down
- end_active_widget_list : advanced_dialog
- end_city_menu_widget_list : city_dialog
- end_city_widget_list : city_dialog
- end_fuel_left : part
- end_moves_left : part
- end_text_chain : text_edit
- end_tile : part
- end_turn : civ_game
- end_widget : endgame_report
- end_widget_list : advanced_dialog, combo_menu, CONNLIST, option_dialog, small_dialog, UP_DOWN, up_down, wl_editor
- endspaceship : civ_game
- enemy_zoc_cost : adv_risk_cost
- energy_rate : packet_spaceship_info, player_spaceship
- enroute : settlermap
- entered : unittype_item
- entries : global_worklist, section, section_file, worklist
- entry : inputline_toolkit, luaconsole_data, save_dialog
- enum_button : uvb_data
- enum_vtable : option
- enumerator : client_option, server_option, setting
- eowner : packet_edit_tile, packet_edit_tile_extra
- erase : editor_sprites
- ermcause : actres
- err_message : fc_sc_button
- error : mapdef
- error_func : server_scan
- error_msg : obligatory_req
- escaped : entry
- est_connections : civ_game
- established : connection, packet_conn_info
- estimated_fitness : cm_tile_type
- estyle_hash : tileset
- eta : settlermap
- eus : extra_type, packet_ruleset_extra
- even : named_sprites
- event : finger_behavior, message, mouse_button_behavior, packet_chat_msg, packet_early_chat_msg, packet_page_msg, sdl2_data, sdl3_data
- event_cache : civ_game
- events : named_sprites
- exclude : packet_edit_startpos_full, startpos
- exit_on_end : server_arguments
- expand : player_ai
- expected_income : packet_web_player_info_addition
- expl : animation
- explanation : city_report_spec
- explode : named_sprites
- explore : adv_data
- extra : edit_extra, loaddata, packet_player_place_infra, req_context, universals_u, worker_activity_cache
- extra_cost : pf_danger_node, pf_danger_node::pf_danger_pos, pf_fuel_node, pf_fuel_pos, pf_normal_node
- extra_count : packet_ruleset_terrain
- extra_help : command, packet_server_setting_const, setting
- extra_help_func : command
- extra_list : tab_extras
- extra_removal_times : packet_ruleset_terrain, terrain
- extra_tile : pf_danger_node, pf_fuel_node, pf_normal_node
- extra_turns : actcalc
- extra_type_id : packet_edit_tile_extra
- extraflag : universals_u
- extras : fair_tile, named_sprites, packet_edit_tile, packet_tile_info, player_tile, ruledit_gui, texai_tile_info_msg, tile
- extras_owner : packet_tile_info, player_tile, tile
- extrastyle : named_sprites
- extviewer : objprop
- extviewer_notebook : property_page